| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DynamicTypeMember Class Referenceabstract

Represents a "member" of a type. More...

`#include <DynamicTypeMember.hpp>`

Inheritance diagram for DynamicTypeMember:
[legend]

## Public Types

using | _ref_type = typename traits<DynamicTypeMember>::ref_type

## Public Member Functions

virtual FASTDDS_EXPORTED_API ReturnCode_t | get_descriptor (traits< MemberDescriptor >::ref_type &descriptor)=0
| Provides a summary of the state of this type overwriting a provided object (see [standard] 7.5.2.6.2).
virtual FASTDDS_EXPORTED_API uint32_t | get_annotation_count ()=0
| Returns the number of applied annotations to the member.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_annotation (traits< AnnotationDescriptor >::ref_type &descriptor, uint32_t idx)=0
| Returns an applied annotation by index.
virtual FASTDDS_EXPORTED_API uint32_t | get_verbatim_text_count ()=0
| Returns the number of applied verbatim text to the member.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_verbatim_text (traits< VerbatimTextDescriptor >::ref_type &descriptor, uint32_t idx)=0
| Returns an applied verbatim text by index.
virtual FASTDDS_EXPORTED_API bool | equals (traits< DynamicTypeMember >::ref_type other)=0
| State comparison according with the [standard] sections 7.5.2.6.3.
virtual FASTDDS_EXPORTED_API MemberId | get_id ()=0
| Getter for id property according with the [standard] section 7.5.2.6.4.
virtual FASTDDS_EXPORTED_API ObjectName | get_name ()=0
| Returns the name of this member.

## Protected Member Functions

| DynamicTypeMember ()=default
virtual | ~DynamicTypeMember ()=default
traits< DynamicTypeMember >::ref_type | _this ()

## Detailed Description

Represents a "member" of a type.

A "member" in this sense may be a member of an aggregated type, a constant within an enumeration, or some other type substructure.

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<DynamicTypeMember>::ref_type

## Constructor & Destructor Documentation

## ◆ DynamicTypeMember()

DynamicTypeMember | ( |  | ) |

protected default

## ◆ ~DynamicTypeMember()

virtual ~DynamicTypeMember | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ _this()

traits< DynamicTypeMember >::ref_type _this | ( |  | ) |

protected

## ◆ equals()

virtual FASTDDS_EXPORTED_API bool equals | ( | traits< DynamicTypeMember >::ref_type | other | ) |

pure virtual

State comparison according with the [standard] sections 7.5.2.6.3.

Parameters

  [in] | other | DynamicTypeMember reference to compare to

Returns
  bool true on equality

## ◆ get_annotation()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_annotation | ( | traits< AnnotationDescriptor >::ref_type & | descriptor,
|  | uint32_t | idx )

pure virtual

Returns an applied annotation by index.

Parameters

  [in,out] | descriptor | AnnotationDescriptor reference where the information is copied.
  [in] | idx | Index.

Returns
  standard ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil or index is out-of-range.

## ◆ get_annotation_count()

virtual FASTDDS_EXPORTED_API uint32_t get_annotation_count | ( |  | ) |

pure virtual

Returns the number of applied annotations to the member.

Returns
  Number of annotations.

## ◆ get_descriptor()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_descriptor | ( | traits< MemberDescriptor >::ref_type & | descriptor | ) |

pure virtual

Provides a summary of the state of this type overwriting a provided object (see [standard] 7.5.2.6.2).

Parameters

  [in,out] | descriptor | MemberDescriptor reference where the information is copied.

Returns
  standard ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil.

## ◆ get_id()

virtual FASTDDS_EXPORTED_API MemberId get_id | ( |  | ) |

pure virtual

Getter for id property according with the [standard] section 7.5.2.6.4.

Returns
  MemberId

## ◆ get_name()

virtual FASTDDS_EXPORTED_API ObjectName get_name | ( |  | ) |

pure virtual

Returns the name of this member.

Returns
  Member name.

## ◆ get_verbatim_text()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_verbatim_text | ( | traits< VerbatimTextDescriptor >::ref_type & | descriptor,
|  | uint32_t | idx )

pure virtual

Returns an applied verbatim text by index.

Parameters

  [in,out] | descriptor | VerbatimTextDescriptor reference where the information is copied.
  [in] | idx | Index.

Returns
  standard ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil or index is out-of-range.

## ◆ get_verbatim_text_count()

virtual FASTDDS_EXPORTED_API uint32_t get_verbatim_text_count | ( |  | ) |

pure virtual

Returns the number of applied verbatim text to the member.

Returns
  Number of verbatim texts.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/DynamicTypeMember.hpp